From 4a0ce8eb5574bb7ecc56e017373b4d00308dc691 Mon Sep 17 00:00:00 2001
From: Alaric Senat <dev.asenat@posteo.net>
Date: Fri, 10 May 2024 10:07:09 +0200
Subject: [PATCH] change named pipe prefix

We need a specific prefix by libraries "ipc-..." is way too generic and
clashes with libiris.
---
 libprotoipc/src/windows/router.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/libprotoipc/src/windows/router.cpp b/libprotoipc/src/windows/router.cpp
index 5c1745c..6547395 100644
--- a/libprotoipc/src/windows/router.cpp
+++ b/libprotoipc/src/windows/router.cpp
@@ -25,7 +25,7 @@ void pipe_pair(HANDLE pipes[2])
     const size_t PIPE_BUFFER_SIZE = 5 * 1024 * 1024;
     // RACY
     static int pipe_id_ = 1;
-    std::string pipe = "\\\\.\\pipe\\ipc-" + std::to_string(GetCurrentProcessId()) + "-" +
+    std::string pipe = "\\\\.\\pipe\\protoipc-" + std::to_string(GetCurrentProcessId()) + "-" +
                        std::to_string(pipe_id_++);
     SECURITY_ATTRIBUTES attr = {
         sizeof(attr),
-- 
2.41.0

